4Suite™ API Documentation

# ► Module Ft.Rdf.Inference.Common

WWW: http://4suite.org/4RDF e-mail: support@4suite.org
Copyright (c) 1999 Fourthought Inc, USA. All Rights Reserved.
See http://4suite.org/COPYRIGHT for license and copyright information

Classes: Argument, ArgumentTypes, Context, LiteralArgument, Predicate, SkolemVariableArgument, StringListLiteralArgument, VariableReferenceArgument |  |  |  | Functions: SplitQName, StringLiteralArgument

## Classes

class Argument

### Methods

__init__(self, name, typ)
execute(self, context)

class ArgumentTypes

### Fields

ACTION = 5
QUERY = 4
SKOLEM_VARIABLE = 2
STRING_LIST = 1
VARIABLE = 3

class Context

### Methods

__init__(self, variables=None, external_params=None, fire_rules=0, nss=None)
__repr__(self)

class LiteralArgument(Argument)

### Methods

__init__(self, name, typ, value)
execute(self, infEng, context)

class Predicate

### Methods

__init__(self, id_, negative)

class SkolemVariableArgument(Argument)

### Methods

__init__(self, name)
execute(self, infEng, context)

class StringListLiteralArgument(LiteralArgument)

### Methods

__init__(self, name, value)

### Methods inherited from class LiteralArgument

execute

class VariableReferenceArgument(Argument)

### Methods

__init__(self, name)
execute(self, infEng, context)

## Functions

SplitQName(qname)
StringLiteralArgument(name, value)